Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Functions | Variables
fuse_gtest_files Namespace Reference

## Functions
def | VerifyFileExists (directory, relative_path)
def | ValidateGTestRootDir (gtest_root)
def | VerifyOutputFile (output_dir, relative_path)
def | ValidateOutputDir (output_dir)
def | FuseGTestH (gtest_root, output_dir)
def | FuseGTestAllCcToFile (gtest_root, output_file)
def | FuseGTestAllCc (gtest_root, output_dir)
def | FuseGTest (gtest_root, output_dir)
def | main ()

## Variables
string | __author__ = 'wan@google.com (Zhanyong Wan)'
tuple | DEFAULT_GTEST_ROOT_DIR = os.path.join(os.path.dirname(__file__), '..')
tuple | INCLUDE_GTEST_FILE_REGEX = re.compile(r'^\s*#\s*include\s*"(gtest/.+)"')
tuple | INCLUDE_SRC_FILE_REGEX = re.compile(r'^\s*#\s*include\s*"(src/.+)"')
string | GTEST_H_SEED = 'include/gtest/gtest.h'
string | GTEST_SPI_H_SEED = 'include/gtest/gtest-spi.h'
string | GTEST_ALL_CC_SEED = 'src/gtest-all.cc'
string | GTEST_H_OUTPUT = 'gtest/gtest.h'
string | GTEST_ALL_CC_OUTPUT = 'gtest/gtest-all.cc'

## Function Documentation

def fuse_gtest_files.FuseGTest | ( |  | gtest_root,
|  |  | output_dir
| ) |  |

    Fuses gtest.h and gtest-all.cc.

def fuse_gtest_files.FuseGTestAllCc | ( |  | gtest_root,
|  |  | output_dir
| ) |  |

    Scans folder gtest_root to generate gtest/gtest-all.cc in output_dir.

def fuse_gtest_files.FuseGTestAllCcToFile | ( |  | gtest_root,
|  |  | output_file
| ) |  |

    Scans folder gtest_root to generate gtest/gtest-all.cc in output_file.

def fuse_gtest_files.FuseGTestH | ( |  | gtest_root,
|  |  | output_dir
| ) |  |

    Scans folder gtest_root to generate gtest/gtest.h in output_dir.

def fuse_gtest_files.main | ( |  | ) |

def fuse_gtest_files.ValidateGTestRootDir | ( |  | gtest_root | ) |

    Makes sure gtest_root points to a valid gtest root directory.

    The function aborts the program on failure.

def fuse_gtest_files.ValidateOutputDir | ( |  | output_dir | ) |

    Makes sure output_dir points to a valid output directory.

    The function aborts the program on failure.

def fuse_gtest_files.VerifyFileExists | ( |  | directory,
|  |  | relative_path
| ) |  |

    Verifies that the given file exists; aborts on failure.

    relative_path is the file path relative to the given directory.

def fuse_gtest_files.VerifyOutputFile | ( |  | output_dir,
|  |  | relative_path
| ) |  |

    Verifies that the given output file path is valid.

    relative_path is relative to the output_dir directory.

## Variable Documentation

string __author__ = 'wan@google.com (Zhanyong Wan)'

tuple DEFAULT_GTEST_ROOT_DIR = os.path.join(os.path.dirname(__file__), '..')

string GTEST_ALL_CC_OUTPUT = 'gtest/gtest-all.cc'

string GTEST_ALL_CC_SEED = 'src/gtest-all.cc'

string GTEST_H_OUTPUT = 'gtest/gtest.h'

string GTEST_H_SEED = 'include/gtest/gtest.h'

string GTEST_SPI_H_SEED = 'include/gtest/gtest-spi.h'

tuple INCLUDE_GTEST_FILE_REGEX = re.compile(r'^\s*#\s*include\s*"(gtest/.+)"')

tuple INCLUDE_SRC_FILE_REGEX = re.compile(r'^\s*#\s*include\s*"(src/.+)"')